Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.870704
Category:Red Hat Local Security Checks
Title:RedHat Update for libsoup RHSA-2011:1102-01
Summary:The remote host is missing an update for the 'libsoup'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'libsoup'
package(s) announced via the referenced advisory.

Vulnerability Insight:
libsoup is an HTTP client/library implementation for GNOME.

A directory traversal flaw was found in libsoup's SoupServer. If an
application used SoupServer to implement an HTTP service, a remote attacker
who is able to connect to that service could use this flaw to access any
local files accessible to that application via a specially-crafted request.
(CVE-2011-2524)

All users of libsoup should upgrade to these updated packages, which
contain a backported patch to resolve this issue. All running applications
using libsoup's SoupServer must be restarted for the update to take effect.

Affected Software/OS:
libsoup on Red Hat Enterprise Linux Desktop (v. 6),
Red Hat Enterprise Linux Server (v. 6),
Red Hat Enterprise Linux Workstation (v. 6)

Solution:
Please Install the Updated Packages.

CVSS Score:
5.0

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:N/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2011-2524
Debian Security Information: DSA-2369 (Google Search)
http://www.debian.org/security/2011/dsa-2369
http://lists.fedoraproject.org/pipermail/package-announce/2011-August/063431.html
https://bugzilla.gnome.org/show_bug.cgi?id=653258
http://www.redhat.com/support/errata/RHSA-2011-1102.html
http://www.securitytracker.com/id?1025864
http://secunia.com/advisories/47299
http://www.ubuntu.com/usn/USN-1181-1
CopyrightCopyright (c) 2012 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.